dir()
setwd("C:/Users/LAB/Desktop/Vi/Disciplina R/Regresso linear multipla")

################################## Exerccio 1 #################################


babies <- read.table(file = "babies.csv", sep = " ",header = TRUE, dec = ".")
head(babies)
str(babies)

# Remoo dos valores ignorados
babies <- babies[which(babies$bwt != 999),]
babies <- babies[which(babies$gestation != 999),]
babies <- babies[which(babies$parity != 9),]
babies <- babies[which(babies$age != 99),]
babies <- babies[which(babies$height != 99),]
babies <- babies[which(babies$weight != 999),]
babies <- babies[which(babies$smoke != 9),]
babies$bwtKg <-babies$bwt*0.0283 

# Modelo do peso dos bebes em funo da durao da gestao
str(babies)
modelo <- lm(babies$bwtKg ~ babies$gestation)
confint(modelo)
summary(modelo)
anova(modelo)

# Criao da sequencia de valores de durao da gestao 
summary(modelo)
seqpred <- round(seq(from = 150 , to = 350, length.out = 100))
seqpred

# Clculo do erro padro
s2 <- var(babies$bwtKg)
ssx <- sum((babies$gestation - mean(babies$gestation))^2)
n <- 1174
erropad <- sqrt((s2*((1/n)+((seqpred - mean(babies$gestation))^2))/ssx))
plot(erropad)

# Clculo dos limites do intervalo de confiana
tvalor <- qt(p = 0.95, df = 1172)
interconf <- erropad * tvalor
pesopred <- coef(modelo)[1] + coef(modelo)[2]*seqpred
liminf <- pesopred - interconf
limsup <- interconf + pesopred 

# Construo do grdico
plot(babies$bwtKg ~ babies$gestation, ylab = "Massa ao nascer (Kg)", 
     xlab = "Durao da gestao (dias)", pch = 20, cex = 0.8)
abline(a = coef(modelo)[1], b = coef(modelo)[2])
lines(limsup ~ seqpred)
lines(liminf ~ seqpred)

################################## Exerccio 2 #################################

install.packages("UsingR")
library(UsingR)
data(galileo)
plot(h.d ~init.h, data = galileo)

# Modelo de primeiro grau
modelo.pg <- lm(h.d ~ init.h, data = galileo)
primeiro_grau <- summary(modelo.pg)
abline(a = coef(modelo.pg)[1], b = coef(modelo.pg)[2])

# Modelo de segundo grau
modelo.sg = update(modelo.pg, . ~ . + I(init.h^2), data=galileo)
segundo_grau <- summary(modelo.sg)
coef2 <- coef(modelo.sg)
curve(coef2[1] + coef2[2] * x + coef2[3] * x ^ 2, add = TRUE, lty = 2)

# Modelo de terceiro grau
modelo.tg = update(modelo.sg, . ~ . + I(init.h^3), data=galileo)
terceiro_grau <- summary(modelo.tg)
coef3 <- coef(modelo.tg)
curve(coef3[1] + coef3[2] * x + coef3[3] * x ^ 2 + coef3[4] * x ^ 3, add=T, lty=2, col = "red")

# Comparando os modelos
anova(modelo.tg, modelo.sg)

# Uma vez que o modelo de maior complexidade explica melhor os dados (0.007),
# retenho o mesmo.  

############################## Exerccio 3 #############################

# Todas as variveis apresentam, isoladamente, relao com a massa dos bebes ao 
# nascer?

# gestation
lm1 <- lm(babies$bwt~babies$gestation)
anova(lm1)
plot(babies$bwt~babies$gestation)
abline(lm1)

# parity 
lm2 <- lm(babies$bwt~babies$parity)
anova(lm2)
plot(babies$bwt~babies$parity)
abline(lm2)

# age 
lm3 <- lm(babies$bwt~babies$age)
anova(lm3)
plot(babies$bwt~babies$age)
abline(lm3)

# height
lm4 <- lm(babies$bwt~babies$height)
anova(lm4)
plot(babies$bwt~babies$height)
abline(lm4)

# weight
lm5 <- lm(babies$bwt~babies$weight)
anova(lm5)
plot(babies$bwt~babies$weight)
abline(lm5)

# smoke
lm6 <- lm(babies$bwt~babies$smoke)
anova(lm6)
plot(babies$bwt~babies$smoke)
abline(lm6)

# Uma vez que a varivel "parity" no parece estar associada a varivel resposta, 
# sero adotadas como Variveis preditoras "gestation", "height", "weight" e 
# "smoke"

# Interaes biologicamente relevantes (ou assim acredito):
# gestation:height
# gestation:weight
# gestation:smoke
# height:weight
# weight:smoke

# Modelo com todas as variveis preditoras, mas sem interaes:
lm7 <- lm(bwt~gestation + height + weight + smoke, data = babies)
summary(lm7)

# Modelo com variveis preditoras e interaes relevantes:
lmfull <- lm(bwt~gestation + height + weight + smoke + gestation:height 
             + gestation:weight + gestation:smoke + height:weight + 
               weight:smoke, data = babies)
summary(lmfull)
anova(lmfull)

# Simplificando o modelo: Remoo das interaes uma a uma e comparao com o 
# modelo cheio (lmfull) ou (posteriormente) aquele de maior complexidade previamente
# retido. A ordem de remoo das interaes foi do maior para o menor pvalor, 
# conforme summary(lmfull).

#lmbabies1 = lmfull - weight:smoke
lmbabies1 <-lm(bwt~gestation + height + weight + smoke + gestation:height
               + gestation:weight + gestation:smoke + 
                 height:weight, data = babies)
summary(lmbabies1)
anova(lmfull, lmbabies1)
# p-valor>0.05 -> Mantm modelo mais simples

#lmbabies2 = lmbabies1 - height:weight
lmbabies2 <-lm(bwt~gestation + height + weight + smoke + gestation:height
               + gestation:weight + gestation:smoke, data = babies)
summary(lmbabies2)
anova(lmbabies1, lmbabies2)
# p-valor>0.05 -> Mantm modelo mais simples

#lmbabies3 = lmbabies2 - gestation:height
lmbabies3 <-lm(bwt~gestation + height + weight + smoke + gestation:weight 
               + gestation:smoke, data = babies)
summary(lmbabies3)
anova(lmbabies2, lmbabies3)
# p-valor>0.05 -> Mantm modelo mais simples

#lmbabies4 = lmbabies3 - gestation:weight
lmbabies4 <-lm(bwt~gestation + height + weight + smoke + gestation:smoke, 
               data = babies)
summary(lmbabies4)
anova(lmbabies3, lmbabies4)
# p-valor>0.05 -> Mantm modelo mais simples 

#lmbabies5 = lmbabies4 - gestation:smoke
lmbabies5 <-lm(bwt~gestation + height + weight + smoke, data = babies)
summary(lmbabies5)
anova(lmbabies4, lmbabies5)
# p-valor<0.05 -> Mantm modelo mais complexo (babies4).

# Apartir do modelo retido (lmbabies4), retira-se uma a uma as variveis preditoras.

#lmbabies6 = lmbabies4 - weight
lmbabies6 <-lm(bwt~gestation + height + smoke + gestation:smoke, 
               data = babies)
summary(lmbabies6)
anova(lmbabies4, lmbabies6)
# p-valor<0.05 -> retenho modelo mais complexo 

#lmbabies7 = lmbabies4 - smoke
lmbabies7 <-lm(bwt~gestation + height + weight + gestation:smoke, 
               data = babies)
summary(lmbabies7)
anova(lmbabies7, lmbabies4)
# p-valor<0.05 -> retenho modelo mais complexo 

#lmbabies9 = lmbabies4 - height
lmbabies8 <-lm(bwt~gestation + weight + smoke + gestation:smoke, 
               data = babies)
summary(lmbabies4)
anova(lmbabies8, lmbabies4)
# p-valor<0.05 -> retenho modelo mais complexo 

#lmbabies9 = lmbabies4 - height
lmbabies9 <-lm(bwt~weight + smoke + height + gestation:smoke, 
               data = babies)
summary(lmbabies9)
anova(lmbabies9, lmbabies4)
# p-valor<0.05 -> retenho modelo mais complexo 

# Concluso: o modelo lmbabies4 parece ser o mnimo adequado. 
# lmbabies4 <-lm(bwt~gestation + height + weight + smoke + gestation:smoke, data = babies)

# Diagnstico do modelo:
par(mfrow = c(2,2))
plot(lmbabies4)
