

setwd("C:/Users/LAB/Desktop/Vi/Disciplina R")
dir()

################################# 4.2 Cervejas #################################
cervejas <-c("chope","lata","garrafa","chope","garrafa", "garrafa","lata",
             "lata","nenhuma","lata","garrafa","garrafa", "garrafa","lata",
             "lata","lata","garrafa","lata","chope","nenhuma", "garrafa",
             "garrafa","garrafa","chope","garrafa","garrafa","chope","garrafa",
             "lata","lata")

#4.2.1 
contagem <- table(cervejas)
contagem
barplot(sort(contagem, ylim = c(0,14), xlab = "Tipo de recipiente", ylab = "# observaes"))
dotchart(sort(table(cervejas)), main = "Preferencia por recipiente de cerveja")

#4.2.2 
# O dotchart apresenta melhor relao dado/tinta, pois contm a mesma informao 
# presente no grfico de barras (i.e quantas pressoas relataram preferencia por 
# determinado tipo de recipiente de cerveja, bem como os tipos disponveis), porm 
# com um uso menor de tinta. 

################################# 4.3 Caixetais ################################ 
cax <- read.csv( "caixeta.csv")
str(cax)
head(cax)

#4.3.1 
cax$dap_fuste <- cax$cap/pi
head(cax)
hist(cax$dap_fuste, xlab = "DAP", ylab = "# de observaeses", 
     main = "Histograma do DAP dos fustes", ylim = c(0,600))

#4.3.2 
cax_retiro <- cax[cax$local == "retiro", ]
head(cax_retiro)
h_arvore_retiro <- aggregate(cax_retiro$h, by = list(cax_retiro$arvore), FUN = mean)
colnames(h_arvore_retiro) <- c("arvore", "h")
head(h_arvore_retiro)

cax_jureia <- cax[cax$local == "jureia", ]
head(cax_jureia)
h_arvore_jureia <- aggregate(cax_jureia$h, by = list(cax_jureia$arvore), FUN = mean)
colnames(h_arvore_jureia) <- c("arvore", "h")
head(h_arvore_jureia)

cax_chauas <- cax[cax$local == "chauas", ]
head(cax_chauas)
h_arvore_chauas <- aggregate(cax_chauas$h, by = list(cax_chauas$arvore), FUN = mean)
colnames(h_arvore_chauas) <- c("arvore", "h")
head(h_arvore_chauas)

# obs. Como a altura de uma rvore  a mesma, independentemente do nmero de fustes, 
# usei a funo aggregate() com argunmento "FUN = mean" para agrupar as rvores,
# porm isso no altera o dado em si (i.e altura da rvore). 

par(mfrow = c(1,3))
hist(h_arvore_retiro$h, main = "Retiro", xlab = "Altura", ylab = "# observaes")
hist(h_arvore_jureia$h, main = "Juria", xlab = "Altura", ylab = "# observaes",
     ylim = c(0,60))
hist(h_arvore_chauas$h, main = "Chauas", xlab = "Altura", ylab = "# observaes",
     ylim = c(0,170))

#4.3.3 
# Existem indicios (histograma, boxplot por local e resumos numricos abaixo), 
# para acreditar que a distribuio da altura das rvores  distinta nos caixetais. 

summary(h_arvore_retiro$h)
sd(h_arvore_retiro$h)

summary(h_arvore_jureia$h)
sd(h_arvore_jureia$h)

summary(h_arvore_chauas$h)
sd(h_arvore_chauas$h)

par(mfrow = c(1,3))
boxplot(h_arvore_retiro$h)
boxplot(h_arvore_jureia$h)
boxplot(h_arvore_chauas$h)

################################ 4.4 Eucaliptos ################################  
dir()
egr <- read.table("egrandis.csv", sep = ";", header = TRUE)
head(egr)

#4.4.1 DAP de rvores de E. grandis em funo da regio e rotao.
levels(egr$rotacao)
head(egr)
par(mfrow = c(1,2))
boxplot(dap~regiao, data = egr, subset = rotacao == "1", 
        main = "Rotao 1", xlab = "Regio", ylab = "DAP")
boxplot(dap~regiao, data = egr, subset = rotacao == "2", 
        main = "Rotao 2", xlab = "Regio", ylab = "DAP")

#4.4.2 
# Observando-se principalmente o grfico qqplot, os dados no parecem apresentar 
# distribuio normal.

par(mfrow = c(1,1))
hist(egr$ht, prob = TRUE, main = "Histograma da altura de E. grandis", 
     xlab = "Altura", ylab = "Densidade" )
curve(dnorm(x=x, mean=mean(egr$ht), sd=sd(egr$ht)), add=TRUE)
qqnorm(egr$ht)
qqline(egr$ht)

############################## 4.5 Mais Caixetais ##############################

#4.5.1 
# Separar apenas os fustes da espcie de interesse
cax$area_basal <- pi*((cax$cap/(2*pi))^2)
head(cax)
T.cassinoides <- subset(cax, subset = cax$especie == "Tabebuia cassinoides")
str(T.cassinoides)
head(T.cassinoides)

# Obter rea basal total por rvore
area_tot_T.cass <- aggregate(T.cassinoides$area_basal, by = list(T.cassinoides$arvore,
                                                                 T.cassinoides$local, 
                                                                 T.cassinoides$h),
                             FUN = sum)
head(area_tot_T.cass)
colnames(area_tot_T.cass) <-  c("arvore","local","h","area_tot")
T.cassinoides[which(T.cassinoides$h == 20), ]
head(area_tot_T.cass)

# Estimar o DAP das rvores
area_tot_T.cass$dap <- 2*(sqrt(area_tot_T.cass$area_tot/pi))
head(area_tot_T.cass) 

# Tres plots (achei mais fcil visualizar do que sobrepondo os pontos)
par(mfrow = c(1,3))
plot(dap~h, data = area_tot_T.cass, subset = area_tot_T.cass$local == "chauas",
     xlab = "Altura das rvores", ylab = "DAP das rvores", main = "Chauas", pch = 19)
abline(lm(dap~h, data = area_tot_T.cass))
plot(dap~h, data = area_tot_T.cass, subset = area_tot_T.cass$local == "retiro", 
     xlab = "Altura das rvores", ylab = "DAP das rvores",main = "Retiro", pch = 19)
abline(lm(dap~h, data = area_tot_T.cass))
plot(dap~h, data = area_tot_T.cass, subset = area_tot_T.cass$local == "jureia", 
     xlab = "Altura das rvores", ylab = "DAP das rvores",main = "Juria", pch = 19)
abline(lm(dap~h, data = area_tot_T.cass))

#4.5.2 
# Em um primeiro momento, os dados de Chauas parece seguir um modelo linear. 
# Em relao  Retiro e Juria, talvez esse tipo de funo (y = ax + b) no se 
# aplique to bem, pois, apartir de deternimado DAP - distinto por regio - incrementos
# no DAP no parecem ser acompanhados por incrementos da altura.

par(mfrow= c(1,3))
with(area_tot_T.cass[area_tot_T.cass$local == "chauas", ], 
     scatter.smooth(x = dap, y= h, main = "Chauas", xlab = "DAP", ylab = "Altura"))
with(area_tot_T.cass[area_tot_T.cass$local == "retiro", ], 
     scatter.smooth(x = dap, y= h, main = "Retiro",xlab = "DAP", ylab = "Altura"))
with(area_tot_T.cass[area_tot_T.cass$local == "jureia", ], 
     scatter.smooth(x = dap, y = h, main = "Juria", xlab = "DAP", ylab = "Altura"))

#4.5.3 
library(lattice)
xyplot(dap~h|local, data = area_tot_T.cass, col = "black", 
       xlab = "Altura", ylab = "DAP")