
setwd("C:/Users/LAB/Desktop/Vi/Disciplina R/Criao e edio de grficos simples")
dir()
esa <- read.table("esaligna.csv", header = TRUE, sep = ",", dec = ".")

################### 5.1 Editando alguns parmetros grficos ####################

plot(esa$dap, esa$ht, xlab = "DAP (cm)", ylab = "Altura (m)", bty = "l", 
     tcl = "0.3", main = "Relao DAP-Altura em E.Saligna", cex.lab = 1.3)

########################### 5.2 Dois grficos juntos ###########################

par(mfrow = c(1,2))
boxplot(esa$dap~esa$talhao, xlab = "Talho", ylab = "DAP da rvore")
text(x = 1, y = 22 , "a")
dap_talhao <- matrix(data = c(esa$dap, esa$talhao), ncol = 2, 
                     nrow = length(esa$dap), byrow = FALSE)
med.dap <- c(tapply(esa$dap, INDEX = list(esa$talhao), FUN = mean))
sd.dap <- c(tapply(esa$dap, INDEX = list(esa$talhao), FUN = sd))

plot(x = NULL, y = NULL,  xlim = c(0.5,6.5), ylim = c(min(med.dap)-4, max(med.dap)+8), 
     type = "n", xaxt = "n", ylab = "DAP da rvore", xlab = "Talho")
axis(side = 1, at = c(1:6), labels = c("16", "17", "18", "22", "23", "32"))
text(x = 1.3 , y = 22.1 , "b")
points(med.dap)
segments(x0 = (1:6), x1 = (1:6), y0 = (med.dap[1:6]-sd.dap[1:6]),
         y1 = (med.dap[1:6]+sd.dap[1:6]))

########################### 5.3 Adivinhando o cdigo ###########################
# Entendendo os dados
dir()
dados <- read.table("exercicio3.csv", header = TRUE, sep = ",", dec = ".")
head(dados)
str(dados)
summary(dados)
dados$y2

# Montando grficos
# Grafico 1
par(mfrow = c(1,2), family = "serif", mar = c(5.1, 4.1, 4.1, 2.1),mgp = c(2.0,0.5,0),
    cex.axis = 1.2)
plot(dados$x2~dados$x1, xlim = c(0.5,2.2), ylim = c(0,3), bty = "l", xlab = (" "),
     ylab = ("Euclidian distances"), pch = 17, cex = 1.3, srt = 90, tcl = 0.4, 
     cex.lab = 2, font = 2)
segments(x0 = 0.5, y0 = 2.25, x1 = 2.2, y1 = 1, lwd = 3)
text(2.2,3, "a", cex= 1.8)
mtext("Log(Patch size)(ha)", side = 1, line = 2.5, cex = 1.8, family = "serif")

# Grfico 2

par(bty = "l", tcl = 0.2, family = "serif", cex.axis = 2)
plot(x = NULL,y = NULL, xlim = c(0,6), ylim = c(0,3.1), type = "n", tcl = 0.2, 
     xaxt = "n", xlab = " ", ylab = " ") 
axis(side = 1, tcl = 0.2, labels = rep(" ", times = 6), at = c(1:6)) 
mtext(text = c("Small", "Medium\n Edge", "Medium\n Interior", "Large\n Edge", 
               "Large\n Interior","Control"), side = 1, line = 3, at = (0.5:5.5),
      cex = 1.5)
text(x=c(0.5:4.5, 6),y=rep(3.1, times = 6), c("*", "*", "**", "*", "***", "b"),
     cex = 1.8)
par(new = TRUE)
boxplot(dados$x2~dados$y2, outline = FALSE, yaxt = "n", xaxt = "n", ylim = c(0,3))

# salvando o grfico
jpeg(filename = "exercicio3.jpeg", width = 1009, height = 554)





